ZTEST(1)

NAME
ztest - verify integrity of compressed files

SYNOPSIS
ztest [options] [files]

DESCRIPTION
Ztest verifies the integrity of the specified compressed files. Uncompressed files are ignored. If no files are specified, the integrity of compressed data read from standard input is verified. Data read from standard input must be all in the same compression format.

The supported formats are bzip2, gzip, lzip and xz.

Note that some xz files lack integrity information, and therefore can't be verified as reliably as the other formats can.

Exit status is 0 if all compressed files verify OK, 1 if environmental problems (file not found, invalid flags, I/O errors, etc), 2 if any compressed file is corrupt or invalid.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

--format=<fmt>
    force given format (bz2, gz, lz, xz)

-N, --no-rcfile
    don't read runtime configuration file

-q, --quiet
    suppress all messages

-r, --recursive
    operate recursively on directories

-v, --verbose
    be verbose (a 2nd -v gives more)

--bz2=<command>
    set compressor and options for bzip2 format

--gz=<command>
    set compressor and options for gzip format

--lz=<command>
    set compressor and options for lzip format

--xz=<command>
    set compressor and options for xz format

REPORTING BUGS
Report bugs to zutils-bug@nongnu.org
Zutils home page: http://www.nongnu.org/zutils/zutils.html

COPYRIGHT
Copyright © 2014 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.